#ifndef TABDIALOGMESSENGER_H
#define TABDIALOGMESSENGER_H

#include <QListWidget>
#include "msgwidget.h"
#include "user.h"

class OneDialogMessenger : public QListWidget
{
    Q_OBJECT

public:
    OneDialogMessenger(User userLocalGUI, User userRemote, QWidget *parent = nullptr);
    ~OneDialogMessenger();

    int getUserRemoteId() {return userRemote.getID();}

    void addMsgWidgetLocal(QString text, QString timeStr = "", QString name = "");
    void addMsgWidgetRemote(QString text, QString timeStr = "", QString name = "");

private:
    void addMsgWidget(QString text, QString timeStr, MsgWidget::DirectionMsg direction, QString name = "");

private:
    User userLocalGUI;
    User userRemote;
};

#endif // TABDIALOGMESSENGER_H
